require 'test_helper'

class PropertiesControllerTest < ActionController::TestCase
  setup do
    @property = properties(:one)
  end

  test "should get index" do
    get :index
    assert_response :success
    assert_not_nil assigns(:properties)
  end

  test "should get new" do
    get :new
    assert_response :success
  end

  test "should create property" do
    assert_difference('Property.count') do
      post :create, :property => @property.attributes
    end

    assert_redirected_to property_path(assigns(:property))
  end

  test "should show property" do
    get :show, :id => @property.to_param
    assert_response :success
  end

  test "should get edit" do
    get :edit, :id => @property.to_param
    assert_response :success
  end

  test "should update property" do
    put :update, :id => @property.to_param, :property => @property.attributes
    assert_redirected_to property_path(assigns(:property))
  end

  test "should destroy property" do
    assert_difference('Property.count', -1) do
      delete :destroy, :id => @property.to_param
    end

    assert_redirected_to properties_path
  end
end
